Subject: bug#70815: [PATCH] ; Enahnce python-tests.el to adapt different python interpreters

From: Mattias Engdegård <[email-masked]>
Date: Tue, 28 May 2024 18:09:47 +0200

28 maj 2024 kl. 17.17 skrev kobarity <[email-masked]>:

> I think it is a "bug".  Because it is working with Python 2 on Linux
> (with native and non-native completions), and I believe many would
> expect it to work.

Could be, but it's hard to believe that whatever completion defect we have in python.el for Python 2 on macOS is affecting a lot of people. It seems usable enough to me, given the circumstances.

> As I mentioned before, I am not opposed to prioritize "python3".  I
> don't think anyone is arguing that "python" should precede "python3"
> anymore.

Thank you. I don't want to steamroller a change, but there is a real risk of paralysis from too much deference to code details that might just as well have been a simple oversight, which I believe is what happened here.

And again, I'd be happy to help debug the problem on macOS if someone is very bothered about the problem now or in the future.